Subject: Bug#740: [X2Go-Dev] Bug#740: Ship a default, small-footprint, F/LOSS PDF viewer with x2goclient

From: Mike Gabriel <[email-masked]>
Date: Mon, 12 Jan 2015 12:08:24 +0000

Hi Stefan,

On  Mo 12 Jan 2015 11:41:34 CET, Stefan Baur wrote:

> package: x2goclient
> severity: wishlist
>
> Hi, this is actually a sub-bug of
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=738.
>
> I am fling it as a separate bug because I believe this particular part
> of Bug 738 can be resolved rather quickly.
>
> Currently, X2GoClient offers the free choice of X-Servers to be used
> with it, but ships with VcXsrv as default and has some "sane" default
> settings configured for it, too, so X2GoClient works out of the box.
> Whoever wishes to deviate from that path, is, however, free to do so -
> X2GoClient has an option to specify a custom X-Server of the user's
> choice.
>
> I would like to take a similar approach for printing.
> At present, no default PDF viewer is shipped with X2GoClient, and the
> user has to fiddle with whichever PDF viewer they choose to get the
> parameters right.
>
> SumatraPDF is a free (F/LOSS) PDF viewer that offers a portable
> version, i.e. it is a single, self-contained executable that doesn't
> require any installation.
>
> It also supports a wide range of command line parameters so it is
> ideal for scripted background use (like "open PDF, print to default
> printer, close application").
>
> Quoting from http://www.sumatrapdfreader.org/manual.html:
>
>> Printing related cmd-line arguments: -print-to-default $file.pdf
>> prints a PDF file on a default printer -print-to $printer_name
>> $file.pdf prints a PDF on a given printer -print-dialog $file.pdf
>> opens a PDF file and shows a print dialog to select printer and
>> printing options -exit-on-print when -print-to-default or -print-to
>> is used, will
> exit after printing
>
> So, basically, "-exit-on-print -print-to-default" is all we'd need for
> basic functionality.
> If we want to do "enumPrinters" within X2GoClient,
> "-exit-on-print -print-to $printer" will also already work.
> If we want to leave printer selection to SumatraPDF, "-print-dialog"
> has to be used, and we'd probably have to submit a patch to the
> SumatraPDF project that "-exit-on-print" be made to work with
> "-print-dialog" as well, as the current description seems to indicate
> that this is not the case.
>
> Thus, I would ask that some helpful soul steps up and please
> a) includes SumatraPDF's standalone executable in the Windows
> X2GoClient package
> b) adds the proper code to X2GoClient so client-side printing defaults
> to using SumatraPDF in the X2Go program directory unless the user has
> created a custom configuration.
>
> The rationale for this bug is that adding this feature would increase
> usability of X2GoClient just as shipping a default X-Server does.
>
> Portable version of SumatraPDF can be found here:
> https://kjkpub.s3.amazonaws.com/sumatrapdf/rel/SumatraPDF-3.0.zip
> Sources are here:
> https://github.com/sumatrapdfreader/sumatrapdf

This sounds like a good approach. As you noticed I am not so convinced  
about the new print concept proposal of yours, but having a PDF viewer  
that looks the same for every deployed Windows X2Go Client is indeed a  
means for increasing usability.

+1 from my side

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb